summaryrefslogtreecommitdiffstats
path: root/mpd/mpd
diff options
context:
space:
mode:
Diffstat (limited to 'mpd/mpd')
-rwxr-xr-xmpd/mpd36
1 files changed, 36 insertions, 0 deletions
diff --git a/mpd/mpd b/mpd/mpd
new file mode 100755
index 000000000..76d4192c6
--- /dev/null
+++ b/mpd/mpd
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Begin $rc_base/init.d/mpd
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+pidfile=/var/run/mpd.pid
+
+case "$1" in
+ start)
+ boot_mesg " Lancement de MPD..."
+ loadproc mpd
+ ;;
+
+ stop)
+ boot_mesg "Arret de MPD..."
+ if [ -f $pidfile ]; then
+ loadkill mpd
+ fi
+ ;;
+
+ restart)
+ boot_mesg "Relancement de MPD..."
+ if [ -f $pidfile ]; then
+ loadproc mpd stop
+ loadproc mpd
+ fi
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/mpd